Bug 153147 - Drop obsolete DocumentType.entities / notations
Summary: Drop obsolete DocumentType.entities / notations
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: WebExposed
Depends on:
Blocks:
 
Reported: 2016-01-15 14:24 PST by Chris Dumez
Modified: 2016-01-19 09:50 PST (History)
8 users (show)

See Also:


Attachments
Patch (4.57 KB, patch)
2016-01-15 14:30 PST, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2016-01-15 14:24:18 PST
Drop obsolete DocumentType.entities / notations. Firefox and Chrome already dropped those. We already dropped support for entities and notations so these always return null.
Comment 1 Chris Dumez 2016-01-15 14:30:35 PST
Created attachment 269100 [details]
Patch
Comment 2 WebKit Commit Bot 2016-01-15 16:08:57 PST
Comment on attachment 269100 [details]
Patch

Clearing flags on attachment: 269100

Committed r195157: <http://trac.webkit.org/changeset/195157>
Comment 3 WebKit Commit Bot 2016-01-15 16:09:02 PST
All reviewed patches have been landed.  Closing bug.
Comment 4 Darin Adler 2016-01-18 14:43:55 PST
Comment on attachment 269100 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=269100&action=review

> Source/WebCore/dom/DocumentType.h:40
> +    // These is needed by native bindings for backward compatibility.

“These is needed” -> “These are needed”.

I’m not sure that “native bindings” is a clear name for the Objective-C and GTK bindings.
Comment 5 Chris Dumez 2016-01-19 09:50:40 PST
(In reply to comment #4)
> Comment on attachment 269100 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=269100&action=review
> 
> > Source/WebCore/dom/DocumentType.h:40
> > +    // These is needed by native bindings for backward compatibility.
> 
> “These is needed” -> “These are needed”.
> 
> I’m not sure that “native bindings” is a clear name for the Objective-C and
> GTK bindings.

Updated comment in <http://trac.webkit.org/changeset/195294>.